Delete security group
curl --request DELETE \
--url https://region.nks.europe-west4.nscale.com/api/v2/securitygroups/{securityGroupID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://region.nks.europe-west4.nscale.com/api/v2/securitygroups/{securityGroupID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://region.nks.europe-west4.nscale.com/api/v2/securitygroups/{securityGroupID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Security groups
Delete security group
Delete a security groups.
DELETE
/
api
/
v2
/
securitygroups
/
{securityGroupID}
Delete security group
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
The security group ID. A security group ID.
Response
The request has been accepted and will be fulfilled asynchronously. You may poll the resource and monitor its provisioning and health status to await completion of the operation.
Was this page helpful?
⌘I